Uploaded image for project: 'ZooKeeper'
  1. ZooKeeper
  2. ZOOKEEPER-2489

Upgrade Jetty dependency to a recent stable release version.

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.4.8, 3.5.2
    • Fix Version/s: 3.5.3, 3.6.0
    • Component/s: server
    • Labels:
      None
    • Hadoop Flags:
      Reviewed

      Description

      Jetty was added as one of dependencies in ZOOKEEPER-1346 in 2011, and have not been updated since then. The version we are using in trunk is 6.1.26 which was released in 2010. We should consider upgrade Jetty to a recent stable release version (probably one of the 9.x.).

      Note: this JIRA issue is recreated from https://issues.apache.org/jira/browse/ZOOKEEPER-2427, which was deleted a couple of weeks ago as part of Apache Infrastructure spam fighting effort.

        Attachments

        1. ZOOKEEPER-2489.2.patch
          4 kB
          Edward Ribeiro
        2. ZOOKEEPER-2489.3.patch
          6 kB
          Edward Ribeiro
        3. ZOOKEEPER-2489.patch
          3 kB
          Edward Ribeiro

          Issue Links

            Activity

              People

              • Assignee:
                eribeiro Edward Ribeiro
                Reporter:
                hanm Michael Han
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: